//-----------------------------------------------------------------
//-----Tom 'Phantazm11' Perryman
//-----www.phantazm11.com
//-----phantazm11(at)gmail[dot]com
//-----08.11.2011
//-----------------------------------------------------------------

textures/phantgothic/phantgothic_floor_003
{

	{
		map textures/quakrails/phantgothic_env.tga
		tcgen environment
		rgbgen wave sin .35 0 0 0
	}


	{
		map textures/quakrails/phantgothic_floor_003.tga
		blendFunc GL_ZERO GL_SRC_ALPHA
		tcmod scale .9 .9
		rgbgen identity	
	}

	{
		map textures/quakrails/phantgothic_floor_003.tga
		blendFunc GL_ONE GL_SRC_ALPHA
		rgbgen identity	
	}


	{
		map $lightmap
        	blendfunc gl_dst_color gl_zero
		rgbgen identity 
	}




}



textures/quakrails/tp_metal_fence_grate
{
	surfaceparm alphashadow
	surfaceparm metalsteps
	surfaceparm nomarks
	surfaceparm trans
	cull disable
	nopicmip
	{
		map textures/quakrails/tp_metal_fence_grate.tga
		rgbGen identity
		depthWrite
		alphaFunc GE128
	}
	{
		map $lightmap 
		blendfunc filter
		rgbGen identity
		tcGen lightmap 
		depthFunc equal
	}
}

textures/quakrails/phantgothic_torchlight
{
	qer_editorimage textures/sfx/flame1.tga
	surfaceparm nomarks
	surfaceparm nolightmap
	surfaceparm trans
	cull none
	q3map_surfacelight 800
	

	{
		animMap 10 textures/sfx/flame1.tga textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave inverseSawtooth 0 1 0 10
		
	}	
	{
		animMap 10 textures/sfx/flame2.tga textures/sfx/flame3.tga textures/sfx/flame4.tga textures/sfx/flame5.tga textures/sfx/flame6.tga textures/sfx/flame7.tga textures/sfx/flame8.tga textures/sfx/flame1.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sawtooth 0 1 0 10
	}	


	{
		map textures/sfx/flameball.tga
		blendFunc GL_ONE GL_ONE
		rgbGen wave sin .6 .2 0 .6	
	}

}

textures/quakrails/phantgothic_window_002
{
	qer_editorimage textures/quakrails/phantgothic_window_002.tga
	q3map_lightimage textures/quakrails/phantgothic_window_002.tga
	q3map_surfacelight 1500
        {
		map textures/quakrails/phantgothic_window_002.tga
               // blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}

        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/quakrails/phantgothic_window_003
{
	qer_editorimage textures/quakrails/phantgothic_window_002.tga
	q3map_lightimage textures/quakrails/phantgothic_window_002.tga
        {
		map textures/quakrails/phantgothic_window_002.tga
               // blendFunc GL_DST_COLOR GL_ZERO
                rgbGen identity
	}

        {
		map $lightmap
		rgbGen identity
		blendFunc GL_DST_COLOR GL_ZERO
	}
}

textures/quakrails/nograb
{
	qer_editorimage textures/common/custom/nograb.tga
	surfaceparm detail
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm trans
	surfaceparm corpse
	surfaceparm body
	surfaceparm nodamage
	surfaceparm playerclip
}

textures/quakrails/nograb_s
{
	qer_editorimage textures/common/custom/nograb.tga
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
	surfaceparm corpse
	surfaceparm body
}

textures/quakrails/models_notexture
{
	qer_editorimage textures/editor/blend_grass_low.tga
	qer_trans .5
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .2 1 2 0 359 0
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .2 1 2 0 359 0
	q3map_surfaceModel models/foliages/foliage02.md3		192 .2 1 2 0 359 0
	q3map_surfaceModel models/foliages/foliage03.md3		256 .2 1 2 0 359 0
	q3map_surfaceModel models/foliages/foliage04.md3		256 .2 1 2 0 359 0
	q3map_surfaceModel models/foliages/foliage05.md3		320 .2 1 2 0 359 0
	q3map_surfaceModel models/foliages/foliage06.md3		384 .2 1 2 0 359 0
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/quakrails/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/quakrails/models_med_notexture
{
	qer_editorimage textures/editor/blend_grass_low.tga
	qer_trans .5
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .5 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .5 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage02.md3		192 .5 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage03.md3		256 .5 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage04.md3		256 .5 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage05.md3		320 .5 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage06.md3		384 .5 1 2 0 359 1
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/quakrails/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/quakrails/models_high_notexture
{
	qer_editorimage textures/editor/blend_grass_low.tga
	qer_trans .5
	
	q3map_surfaceModel models/foliages/foliage01.md3		128 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage01b.md3	    192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage02.md3		192 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage03.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage04.md3		256 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage05.md3		320 .8 1 2 0 359 1
	q3map_surfaceModel models/foliages/foliage06.md3		384 .8 1 2 0 359 1
	
	surfaceparm nolightmap
	surfaceparm trans
	surfaceparm nonsolid
	
	{
		map textures/quakrails/invisible.tga
		alphaFunc GE128
		depthWrite
		rgbGen vertex
	}
}

textures/impossible2/flare_4
{
	qer_editorimage textures/impossible2/flares/flare_4.tga
	q3map_cloneshader textures/impossible2/zzflare_4_1
	surfaceparm nonsolid
	surfaceparm trans
	sort 10
	q3map_surfacelight 2000
	q3map_lightSubdivide 512
	surfaceparm nodlight
	deformvertexes move 0 0 8 sawtooth -0.25 1 0.48 0.118
	deformvertexes move 0.440388 1.95091 0 inversesawtooth 4.5 1 0.8466 0.118
	deformvertexes autosprite
	cull disable
	{
		clampmap textures/impossible2/flares/flare_4.tga
		blendfunc GL_SRC_ALPHA GL_ONE
		rgbgen wave sin 1.0666 -1 0.68 0.118
		alphagen wave inversesawtooth -1.2667 2.2 0.48 0.118
		tcMod stretch sawtooth 0.9 -0.0134 1.1199 0.118
	}
}